#ifndef CLOGICALPORT2HORZLEAVE_H
#define CLOGICALPORT2HORZLEAVE_H

#include "CPart.h"

class CLogicalPortHorzLeave : public CPart
{
    private:
        bool PValue;
        bool PPassed;
    public:
        CLogicalPortHorzLeave (int X,int Y,int W,int H,SDL_Surface *Surface) : CPart (X,Y,W,H,Surface)
        {
            PId = DLOGICALPORTHORZLEAVEID;
            PValue = true;
            PPassed = false;
        }
        inline void SetPassed(bool Passed){PPassed = Passed;}
        inline bool GetPassed(){return PPassed;}
        inline void SetValue(bool Value){PValue = Value;}
        inline bool GetValue(){return PValue;}
        ~CLogicalPortHorzLeave(){}

};
#endif
