#ifndef CPARTSMANAGER_H
#define CPARTSMANAGER_H

#include "CPartsManager.h"
#include "CPart.h"
#include <fstream>


class CPart;

class CPartsManager
{
 private:

 	void Sort();
 	bool DisableSorting;
 public:
    CPart *Items[DMAXPARTS];
 	int ItemCount;
 	CPartsManager();
 	void Add(CPart *Part);
 	void Move();
 	void Draw(SDL_Surface *Surface);
 	void Remove(int PlayFieldXin,int PlayFieldYin);
 	void Remove(int PlayFieldXin,int PlayFieldYin,int Type);
 	void RemoveAll();
	void Save(char *Filename);
	void Load(char *Filename);
	int CollidePoint(int X,int Y);
	int CollidePointRealLocation(int X,int Y);
	int CollideRect(SDL_Rect Rect,int Index);
 	~CPartsManager();
};
#endif
