#ifndef CSDLIDEDOORDOUBLEHORIZONTAL_H
#define CSDLIDEDOORDOUBLEHORIZONTAL_H

#include "CSlideDoorLeft.h"
#include "CSlideDoorRight.h"

class CSlideDoorDoubleHorizontal : public CPart
{
    private:
        CSlideDoorLeft *LeftDoor;
        CSLideDoorRight *RightDoor;
    public :
        CSlideDoorDown(int X,int Y,int W,int H,float Xi,float Yi,bool RandomTime,SDL_Surface *Surface) : CPart( X, Y, W, H ,Surface)
        {
            PId = DSLIDEDOORDOUBLEHORIZONTALID;
            LeftDoor  = NULL;
            RightDoor = NULL;
            if(Surface)
            {
                PEnabled = true;
                PVisibleX = W;
                PXi = 0;
            }
        }
        void Draw(SDL_Surface *Dst)
        {
            LeftDoor->Draw(Dst);
            RightDoor->Draw(Dst);
        }

        void Move()
        {
            LeftDoor->Move();
            RightDoor->Move();
        }
};

#endif

